> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Latent Selection Branch



## OpenAPI

````yaml /api-reference/openapi.json post /api/datasets/{dataset_id}/branches/latent-selection
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/branches/latent-selection:
    post:
      tags:
        - api
        - datasets
      summary: Create Latent Selection Branch
      operationId: >-
        create_latent_selection_branch_api_datasets__dataset_id__branches_latent_selection_post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LatentSelectionBranchRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LatentSelectionBranchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LatentSelectionBranchRequest:
      properties:
        branch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Name
        scan_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Id
        view_name:
          anyOf:
            - type: string
            - type: 'null'
          title: View Name
        selection_strategy:
          type: string
          enum:
            - manual
            - density
          title: Selection Strategy
          default: manual
        run_mislabel_scan:
          type: boolean
          title: Run Mislabel Scan
          default: false
        density_core_ratio:
          type: number
          maximum: 1
          minimum: 0.25
          title: Density Core Ratio
          default: 0.5
        maximize_size:
          type: boolean
          title: Maximize Size
          default: false
        plot_width:
          anyOf:
            - type: number
            - type: 'null'
          title: Plot Width
        plot_height:
          anyOf:
            - type: number
            - type: 'null'
          title: Plot Height
        samples:
          items:
            $ref: '#/components/schemas/LatentSelectionBranchSample'
          type: array
          title: Samples
        circles:
          items:
            $ref: '#/components/schemas/LatentSelectionCircleInput'
          type: array
          title: Circles
      type: object
      title: LatentSelectionBranchRequest
    LatentSelectionBranchResponse:
      properties:
        branch_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        branch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Name
        branch_family_uuid:
          type: string
          title: Branch Family Uuid
        selected_count:
          type: integer
          title: Selected Count
          default: 0
        balanced_count_per_class:
          type: integer
          title: Balanced Count Per Class
          default: 0
        balanced_total_count:
          type: integer
          title: Balanced Total Count
          default: 0
        queued_scan_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Queued Scan Id
        queued_scan_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Queued Scan Type
        build_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Build Status
        build_async:
          type: boolean
          title: Build Async
          default: false
        source_dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Dataset Id
        source_branch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Branch Name
        requested_branch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Requested Branch Name
      type: object
      required:
        - branch_family_uuid
      title: LatentSelectionBranchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LatentSelectionBranchSample:
      properties:
        filepath:
          type: string
          title: Filepath
        given_label:
          type: string
          title: Given Label
      type: object
      required:
        - filepath
        - given_label
      title: LatentSelectionBranchSample
    LatentSelectionCircleInput:
      properties:
        center_x:
          type: number
          title: Center X
        center_y:
          type: number
          title: Center Y
        radius:
          type: number
          title: Radius
      type: object
      required:
        - center_x
        - center_y
        - radius
      title: LatentSelectionCircleInput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````